Package org.apache.velocity.util.introspection

# Class ClassFieldMap

java.lang.Object
org.apache.velocity.util.introspection.ClassFieldMap

public class ClassFieldMap extends Object
A cache of introspection information for a specific class instance. Keys `Field` objects by the field names.

Author:
  Jason van Zyl, Bob McWhirter, Attila Szegedi, Geir Magnusson Jr., Henning P. Schmiedehausen, Nathan Bubna, Candid Dauth

## Constructor Summary

Constructors
Constructor
Description
`ClassFieldMap(Class<?> clazz, org.slf4j.Logger log)`
Standard constructor

## Method Summary

Modifier and Type
Method
Description
`Field`
`findField(String name)`
Find a Field using the field name.
`Class<?>`
`getCachedClass()`
Returns the class object whose fields are cached by this map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassFieldMap

public ClassFieldMap(Class<?> clazz, org.slf4j.Logger log)
Standard constructor

Parameters:
  `clazz` - The class for which this ClassMap gets constructed.
  `log` - logger

## Method Details

### getCachedClass

public Class<?> getCachedClass()
Returns the class object whose fields are cached by this map.

Returns:
  The class object whose fields are cached by this map.

### findField

public Field findField(String name)
Find a Field using the field name.

Parameters:
  `name` - The field name to look up.
Returns:
  A Field object representing the field to invoke or null.